var a,b,i,j:integer;
    x:array[1..1000]of 1..10000;
begin
readln(a,b);
j:=1;
if (a-1) mod (b-1)=0 then for i:=1 to b do x[i]:=1+(i-1)*(a-1) div (b-1)
 else
  begin
   while (a-1) mod (b-1)<>0 do
    begin
     a:=a-1;
     j:=j+1;
     x[j]:=x[j]+1;
    end;
   x[1]:=1;
   for i:=2 to b do x[i]:=x[i]+x[i-1]+(a-1) div (b-1);
  end;
for i:=1 to b do write(x[i],' ');
end.
